﻿using System;
using System.Collections.Generic;
using System.IO;
using System.IO.Compression;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Persistence;
using Infragistics.Persistence.Primitives;
using System.ComponentModel;
using XamGridPersistence.Properties;
using Infragistics.Controls.Grids;
using System.Collections.ObjectModel;

namespace XamGridPersistence
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private ObservableCollection<Config> _configs = new ObservableCollection<Config>();

        public ObservableCollection<Config> Configs
        {
            get { return _configs; }
            set { _configs = value; OnPropertyChanged("Configs"); }
        }

        private Dummi _dummi;

        public Dummi Dummi
        {
            get { return _dummi; }
            set { _dummi = value; OnPropertyChanged("Dummi"); }
        }


        public MainWindow()
        {
            InitializeComponent();
            Dummi = new Dummi();
            DataContext = this;
        }

        private void Save(object sender, RoutedEventArgs e)
        {
            Configs.Add(new Config
                {
                    Name = "new" + Configs.Count + 1,
                    Value = ConfigHelper.SerializeConfiguration(Grid)
                });
        }

        private void Load(object sender, RoutedEventArgs e)
        {
            ConfigHelper.DeserializeConfiguration((combo.SelectedItem as Config), Grid);
        }


        private void OnPropertyChanged(String pname)
        {
            if (PropertyChanged == null) return;
            PropertyChanged.Invoke(this, new PropertyChangedEventArgs(pname));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }


   
}
